#ifndef PEBBLE_HPP_
#define PEBBLE_HPP_

#include <Block/SpriteBlock/BasicBlock/BasicBlock.hpp>

class Pebble : public BasicBlock
{
public:
    Pebble(std::string name);

    virtual bool canPlace(LocalWorld &world, IWorldActor &actor, glm::ivec3 pos, Side side, uint8_t &meta) override;
    virtual void onNeighborUpdated(LocalWorld &world, glm::ivec3 pos, Side side) override;
    virtual bool canSweepAway() override;
    virtual bool isIntersectedBy(World &world, glm::ivec3 pos, const BoundingBox<wfixed> &box) override;
};

#endif